Name: rat
Summary: The Robust Audio Tool
Version: 4.2.19
Release: 1
Group: Applications/Internet
Copyright: Distributable
URL: http://www-mice.cs.ucl.ac.uk/multimedia/software/rat/
Source0: http://www-mice.cs.ucl.ac.uk/multimedia/software/rat/%{version}/rat-%{version}.tar.gz
Patch0: rat-4.2.10.patch
Patch1: rat-tclsksystem-conf.patch
BuildRoot: %{_tmppath}/%{name}-root
BuildPreReq: tcl tk
Requires: tcl tk
ExclusiveArch: i386

%description
The Robust Audio Tool (RAT) is a an open-source audio conferencing and
streaming application that allows users to particpate in audio conferences
over the internet. These can be between two participants directly, or between
a group of participants on a common multicast group.

%prep
%setup -q 
%patch0 -p1 -b .tim
%patch1 -p1

%build
cd common 
autoconf
%configure
make

cd ../rat
autoconf
%configure --sysconfdir=/etc --mandir=%{_mandir} --enable-ipv6 --with-tcl=%{_prefix} --with-tk=%{_prefix}
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT{%{_prefix}{/bin,/sbin,/lib},%{_mandir}/man1}
mkdir -p $RPM_BUILD_ROOT/etc/sdr/plugins

# Hack to get around double plugins
cd rat 
perl -pi -e s'|^tool:rat-.*|tool:rat|' *plugin*

%makeinstall

# Hack to get around double plugins
cd $RPM_BUILD_ROOT/etc/sdr/plugins
mv sdr2.plugin.S02.audio.rtp.-.rat-%{version} sdr2.plugin.S04.audio.rtp.-.rat-%{version}

(cd $RPM_BUILD_ROOT%{_bindir}
	ln -sf rat-%{version} rat
	ln -sf rat-%{version}-media rat-media
	ln -sf rat-%{version}-ui rat-ui)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc rat/README rat/README.devices rat/README.files rat/README.gsm
%doc rat/README.mbus rat/README.playout rat/README.timestamps rat/COPYRIGHT
/etc/sdr/plugins/*
%{_prefix}/bin/*
%{_mandir}/*/*

%changelog
* Thu Sep 20 2001 Pekka Savola <psavola@csc.fi>
- 4.2.19.

* Fri Jun  8 2001 Pekka Savola <psavola@csc.fi>
- 4.2.18.

* Fri Apr 13 2001 Pekka Savola <psavola@csc.fi>
- 4.2.15 is out, the patches have been integrated so remove them.

* Fri Apr 13 2001 Pekka Savola <psavola@csc.fi>
- add a patch to get around a segfault with null PATH.

* Wed Apr 11 2001 Pekka Savola <psavola@csc.fi>
- add a patch to change the order of includes so this compiles
- change the plugin so that there won't be questions about which rat
program, 'rat' or 'rat-%{version}' the user wants to use.

* Sun Apr  8 2001 Pekka Savola <psavola@csc.fi>
- update to 4.2.14, rip out ucl tcl/tk: use system tcl/tk
- use %%_mandir and friends, enable ipv6.

* Tue Dec 19 2000 Tim Powers <timp@redhat.com>
- bzip'ed source to conserve space

* Mon Dec 18 2000 Tim Powers <timp@redhat.com>
- fixed bug #22384

* Mon Nov 20 2000 Tim Powers <timp@redhat.com>
- rebuilt to fix bad dir perms

* Tue Nov 14 2000 Tim Powers <timp@redhat.com>
- updated to 4.2.10

* Mon Aug 7 2000 Tim Powers <timp@redhat.com>
- update to 4.2.7, bugfixes

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Jun 28 2000 Tim Powers <timp@redhat.com>
- fixed bug #13095

* Thu May 25 2000 Tim Powers <timp@redhat.com>
- initial build
